Subject: Re: [bug#30604] [PATCH v11 5/6] linux-initrd: Provide our own 'modprobe' program.

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 13 Mar 2018 13:28:02 +0100

> I’m using this on the bare metal.  \o/

Hehe nice!

> -          (let ((modules (matching-modules alias %known-aliases)))
> +          ;; Look up ALIAS in %KNOWN-ALIASES first, and then, if it fails,
> +          ;; assume that ALIAS is a module name (some modules such as
> +          ;; 'dm-crypt' don't have an alias.)  Note that
> +          ;; 'kmod_module_new_from_lookup' uses a different search order.

I also wondered about the resolution order :)

At least module dependencies can't be aliases.

> +          (let ((modules (match (matching-modules alias %known-aliases)
> +                           (()  (list alias))
> +                           (lst lst))))

Yeah, same happened to me.  Did the same (back then in "resolve-alias").

So should be fine.

> Something annoying is that my external USB keyboard doesn’t work while
> in the initrd (when I type my passphrase).

Did it work before?  I remember that Andreas had a similar problem before all this.

Did you implement globs with [0-9] yet?  I remember there were some USB devices
using those :)

What's the modalias of your usb keyboard?

Does your initrd's modules.alias contain any patterns that are supposed to match?

(You can look into those via 
  cat initrd | gunzip -cd |cpio -i

- it will unpack)